
TYPO3.Neos - Feature # 53260

Status: Closed Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-11-01 Assigned To: Dominique Feyer
Updated: 2014-10-02 Due date:
Subject: Switch from Chosen to Select2
Description

Replace the current Chosen with Select2 or Chosem, to add support for Icon, and more advanced select.

Or maybe: https://github.com/iest/Chosem

History
#1 - 2013-11-01 10:31 - Aske Ertmann

Even though an Ember implementation is available I think we should be careful about choosing this option. It does of course make it easier to integrate
with Ember, but the quality and features are far from that of Chosen. And we're now moving from Chosen to Select2, because the feature set of
Chosen is too limited. If we go with the Ember option I'm certain that we will find quite some issues we'll have to fix ourselves, e.g. browser issues,
styiling issues etc. Also we'd have to extend it and overwrite stuff and add features ourselves..

So personally I think Chosem is not really a viable option as it is currently.

#2 - 2013-11-01 10:32 - Dominique Feyer

I agree, and currently prefer to build a ember wrapper for Select2

#3 - 2013-11-01 11:15 - Sebastian Kurfuerst

agreed, Select2 is currently the most viable option

#4 - 2014-10-02 13:25 - Philipp Hanebrink
- Status changed from New to Closed

Moved to Jira: https://jira.typo3.org/browse/NEOS-516
